import sympy

func_str = "x ** 4 - x ** 2 + 5 * x - 10"

func = sympy.sympify(func_str)
func_d = sympy.diff(func)
func_dd = sympy.diff(func_d)

func_l = sympy.lambdify("x", func, cse=True)
func_d_l = sympy.lambdify("x", func_d, cse=True)
func_dd_l = sympy.lambdify("x", func_dd, cse=True)


def f_str():
    return func_str


def f(x):
    return func_l(x)


def f_d(x):
    return func_d_l(x)


def f_dd(x):
    return func_dd_l(x)
